Skip to main content
Web Services

Returns quote template placeholders for a quick quote

Get a Quick Quote.

GET
/web-services/qq/lease/getQuote

This method requires the WebServices permission to be associated with your role.

This API invokes the legacy qq::lease::getQuote web service. Note, this endpoint will be deprecated once a full service replacement has been developed.

This service returns quote template placeholders for a quick quote.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
variant_idstringquery

Variant Id

variant_codestringquery

Variant Code

approximate_pricenumberquery

Approximate Price

approximate_on_road_pricenumberquery

Approximate On Road Price

state_registeredenum<string>queryrequired

State Registered

Available options: VIC, NSW, ACT, NT, TAS, WA, SA, QLD
annual_kilometresnumberqueryrequired

Annual Kilometres

lease_periodintegerqueryrequired

Lease Period

annual_salarynumberqueryrequired

Annual Salary

postcodestringquery

Postcode

roadside_assistance_plan_codestringquery

Roadside Assistance Plan Code

monthly_finance_grossnumberquery

Monthly Finance Gross

client_codestringquery

Client Code

pay_cycle_codestringquery

Pay Cycle Code

data_sourcestringquery

Data Source

new_usedenum<string>query

New / Used

Available options: new, used, demonstrator
odometernumberquery

Odometer

contract_typestringquery

Contract Type

fbt_benefit_typestringquery

FBT Benefit Type

fbt_business_usenumberquery

Bus Use% for the quote

maintenance_service_flagenum<string>query

Maintenance Service Flag

Available options: yes, no
insurance_flagenum<string>query

Insurance Flag

Available options: yes, no
reg_ctp_flagenum<string>query

Reg Ctp Flag

Available options: yes, no
tyres_flagenum<string>query

Tyres Flag

Available options: yes, no
fuel_flagenum<string>query

Fuel Flag

Available options: yes, no
optional_equipment_deselect_flagenum<string>query

Optional Equipment Deselect Flag

Available options: yes, no
dealer_delivery_netnumberquery

Dealer Delivery (Net)

fieldsstring[]query

Define fields required. If no fields are specified then all fields are returned.

Response

application/vnd.catch-e-api.v1+json

Success

bodyobject